rc_config_init(3)

NAME
rc_config_init - Initialise a configuration structure for programmatic configuration.

SYNOPSIS
#include <radcli/>

rc_handle * rc_config_init(
    rc_handle  *rh
);

DESCRIPTION

Use this when you want to configure radcli from code rather than from a file. The full call sequence is:

rc_handle*rh=rc_new();

rh=rc_config_init(rh);

rc_add_config(rh,"authserver","radius.example.com:1812:sharedsecret",

__FILE__,__LINE__);

rc_add_config(rh,"serv-type","udp",__FILE__,__LINE__);

rc_apply_config(rh);

//rhisnowreadyforrc_auth()/rc_acct()

The provided handle must have been allocated with rc_new(). Call rc_apply_config() after all rc_add_config() calls to activate the configuration and initialise the transport.

PARAMETERS

rh  a handle allocated by rc_new().

RETURN VALUE

rh on success, NULL on failure (rh is freed on failure).

SEE ALSO

rc_aaa(3), rc_aaa_ctx(3), rc_aaa_ctx_free(3), rc_aaa_ctx_get_secret(3), rc_aaa_ctx_get_vector(3), rc_aaa_ctx_server(3), rc_acct(3), rc_acct_async(3), rc_acct_proxy(3), rc_add_config(3), rc_apply_config(3), rc_auth(3), rc_auth_proxy(3), rc_avpair_add(3), rc_avpair_assign(3), rc_avpair_copy(3), rc_avpair_free(3), rc_avpair_gen(3), rc_avpair_get(3), rc_avpair_get_attr(3), rc_avpair_get_in6(3), rc_avpair_get_raw(3), rc_avpair_get_uint32(3), rc_avpair_insert(3), rc_avpair_log(3), rc_avpair_new(3), rc_avpair_next(3), rc_avpair_parse(3), rc_avpair_remove(3), rc_avpair_tostr(3), rc_buildreq(3), rc_check(3), rc_conf_int(3), rc_conf_srv(3), rc_conf_str(3), rc_config_free(3), rc_destroy(3), rc_dict_addattr(3), rc_dict_addval(3), rc_dict_addvend(3), rc_dict_findattr(3), rc_dict_findval(3), rc_dict_findvend(3), rc_dict_free(3), rc_dict_getattr(3), rc_dict_getval(3), rc_dict_getvend(3), rc_find_server_addr(3), rc_get_socket_type(3), rc_new(3), rc_read_config(3), rc_read_dictionary(3), rc_read_dictionary_from_buffer(3), rc_send_server(3), rc_test_config(3)